Subject: Re: draft-thubert-nemo-global-haha-01.txt (was: [nemo]Charter proposal)

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 30 Mar 2006 14:01:20 +0300

So, we do agree that global HAHA implies announcing the home network  
into the global BGP routing table, and that each distributed home  
network impacts with an additional entry in the bgp table, right?

wouldn't this imply global routing system scalability concerns?

Regards, marcelo

El 30/03/2006, a las 13:54, Ben McCarthy escribió:

> Sorry, I read your initial question wrong, I thought you were  
> referring to
> Boeing's BGP manipulation technique they use...
> http://www.apnic.net/meetings/19/docs/sigs/routing/routing-pres-skeen- 
> global
> -ip-netmob.pdf
>
> not Global HA-HA, my mistake.
>
> -----Original Message-----
> From: marcelo bagnulo braun [mailto:[email-masked]]
> Sent: 30 March 2006 11:26
> To: Ben McCarthy
> Cc: 'ml-nemo WG'; 'Simon Oosthoek'
> Subject: Re: draft-thubert-nemo-global-haha-01.txt (was: [nemo]Charter
> proposal)
>
>>
>> [Ben] Apart from optimising the route between the MR and CNs or
>> altering
>> BGP, then the other option is exactly what Pascal is proposing
>> (switching to
>> a HA closer to the point-of-attachment to optimise the triangular
>> route).
>>
>
> perhaps i am failing to understand how this works, but wouldn't this
> implies that each home network must be announced separately in BGP?
>
> regards, marcelo
>
>> Apart from that...???
>>
>> Cheers,
>>
>> Ben
>>
>>> Ben
>>>
>>>
>>
>

---

From: "Dul, Andrew L" <[email-masked]>
Date: Thu, 30 Mar 2006 08:56:52 -0800

> Sent: Thursday, March 30, 2006 3:01 AM
> To: Ben McCarthy
> Cc: 'ml-nemo WG'
> Subject: Re: draft-thubert-nemo-global-haha-01.txt 
> (was:[nemo]Charter proposal)
> 
> So, we do agree that global HAHA implies announcing the home 
> network into the global BGP routing table, and that each 
> distributed home network impacts with an additional entry in 
> the bgp table, right?

Not necessarily, global HAHA requires that the home network aggregate
(not the individual home networks, although you could) be announced at
all of the connection points (HomeAgents) to the "Internet".  

At least that is my understanding...

See section 5.1.1. of the draft.

This could work if the MN's used the same Internet Service Provider.
The problem comes when you have multiple service providers.  

When you have multiple service providers and you only announce the
aggregate, you have to make arrangements between every service provider
which supports your mobile nodes to carry transit traffic from the
ingress point from the "Internet" to the mobile network infrastructure,
which likely would be on another service provider.

The problem with a single service provider is that if their mobile
infrastructure is not global and they are serving global mobile nodes
then you still are likely to have triangle routing problems.

I don't think we can make the assumption that a MN must be served by
only one service provider.  For aircraft we have to assume that there
will be multiple service providers, that is required just due to the
nature of the business when operating in multiple countries and
jurisdictions.

> wouldn't this imply global routing system scalability concerns?

Likely, however the "global routing system" could change in the future.

Andrew